﻿@model PagedList<DomainModels.Entities.Shop.BuyRequest>


@{
    ViewBag.Title = "جستجوی درخواست های خرید ارز";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")


<div class="panel panel-green">
    <div class="panel-heading">جستجو بر اساس  کد شناسایی درخواست)</div>
    <div class="panel-body">
        @using (Html.BeginForm("Search", "BuyRequest", FormMethod.Get))
        {
            <div class="row">
                <div class="col-md-5">
                    <input type="submit" value="جستجو" class="btn btn-green" />
                </div>
                <div class="col-md-5">@Html.TextBox("code", "", new { @class = "form-control" })</div>
                <div class="col-md-2">کد شناسایی:</div>
            </div>
        }
    </div>
</div>


<div class="row">
    <div class="col-lg-12">
        <table id="miyazaki" class="tbl-grid" style="width: 100%;">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RowGuid)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UserId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Amount)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Price)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RequestStatusId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().CreatedOn)
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Data)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.RowGuid)
                        </td>
                        <td>
                            <a style="color:#1388dd" href="/User/Detail/@item.UserId">@item.User.FullName (@item.UserId)</a>
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Amount)
                        </td>
                        <td>
                            @Html.ShowNumberWithCommaSeperator(item.Price)
                        </td>
                        <td>
                            @Html.ShowRequestStatus(item.RequestStatus)
                        </td>
                        <td>
                            @Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                        </td>
                        <td>
                            @if (item.RequestStatus.Name == DomainModels.Entities.Shop.RequestStatusName.Welded)
                            {
                                @Html.ActionLink("جزئیات معامله", "Detail", "Deal", new { code = item.RowGuid }, new { @class = "btn btn-info" })
                            }
                        </td>
                    </tr>
                }
            </tbody>
        </table>

        @Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Search", new { code = Request["code"] }), true)

    </div>
</div>